Subject: bug#13066: 24.2.90; setting rmail-summary-window-size causes error

From: Kenichi Handa <[email-masked]>
Date: Wed, 2 Jan 2013 23:09:34 +0900

In article <[email-masked]>, martin rudalics <[email-masked]>
writes:

> I obviously have no idea how this is supposed to work :-(

> We could replace the condition

>    (when (and rmail-summary-buffer (buffer-name rmail-summary-buffer)
>          rmail-redisplay-summary)

> in `rmail-maybe-display-summary' either by

>    (when (and rmail-summary-buffer (buffer-name rmail-summary-buffer)
>          (or rmail-redisplay-summary
>          (get-buffer-window rmail-summary-buffer 0)))

> or by

>    (when (and rmail-summary-buffer (buffer-name rmail-summary-buffer)
>          (or rmail-redisplay-summary rmail-summary-window-size))

> Both should work if the summary window was specially created for the
> summary.  They won't work when the window got merely reused - but in
> that case resizing the window doesn't strike me as a good idea in the
> first place.  Can you try them?

I've just updated my working tree of Emacs from trunk and
found that you have already committed a new patch.  So, I
tried it and confirmed that it worked well.  Thank you!!

> If this doesn't help, can you please tell me when and why you want to
> resize the summary window and why you want to do that with
> `rmail-redisplay-summary' set to nil?  I can obviously restore the old
> logic but would like to understand it first.

My understanding of rmail-redisplay-summary is that when it
is non-nil, rmail-summary-buffer is forced to be shown.  For
instance, when rmail-summary-buffer is buried and I change
the current message in RMAIL buffer by typing p,
rmail-summary-buffer pops up.  As I don't want that
behavior, I haven't customized rmail-redisplay-summary to t.

What I want is that rmail-summary-buffer is shown in some
window of the specified height when I type h in RMAIL
buffer.

---
Kenichi Handa
[email-masked]